> For the complete documentation index, see [llms.txt](https://docs.kujira.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kujira.app/validators/run-a-node/tips.md).

# Tips

### Disk utilization

To help manage the disk size you can prune the blocks being kept. For this I use prime numbers- pick your own in `app.toml`

```
pruning = "custom"

# These are applied if and only if the pruning strategy is custom.
pruning-keep-recent = "809"
pruning-keep-every = "0"
pruning-interval = "43"
```

You should also check what you are indexing

```
index-events = ["tx.hash", "tx.height"]
```

### Adding more peers

You should modify `/etc/security/limits.conf` and add

```
*                soft    nofile          65535
*                hard    nofile          65535
```

You can then modify the config.toml to increase connections. This may cost you more in ingress/egress charges.

```
max_open_connections = 1900
max_num_inbound_peers = 50
max_num_outbound_peers = 50
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.kujira.app/validators/run-a-node/tips.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
